
            VAR    V1,ncyc
            VAR    V2,del
            VAR    V3,latenz
            VAR    V4,cycles
            VAR    V5,sdur
            VAR    V6,flag

            SET    0.100,1,0       ;0.1ms per sequencer tick
        'k  DAC    0,0             ;set dac to 0volts
            DAC    1,0
            DIGOUT [00000000]      ;initial digital outputs to 0
            HALT   

;sequence for timing presentation of tonebursts
        'n  MOV    cycles,ncyc     ;number of cycles to do
            ;DAC    0,0.0
            DELAY  998             ;wait for 0.1s before first stimulus
F1:         WAVEGO x,T             ;prepare to play wave 'x'

            DELAY  del             ;wait for Tinterval - latency
H1:         WAVEBR H1,W            ;'wait longer for arming if necessary
            MARK   1               ;trigger on digital marker channel
            DIGOUT [.......1]      ;dig. out 0 high at sweep onset
            DELAY  latenz          ;latency of playwave stimulus
            DELAY  0
            WAVEST T               ;trigger playwave
            DIGOUT [......10]      ;dig.out 0 low and dig.out 1 high at stimulus onset
            DELAY  sdur            ;give time for playwave to finish
G1:         WAVEST S               ;stop playwave
            DIGOUT [......0.]      ;dig. out 1 low at end of stimulus

            DBNZ   cycles,F1       ;loop
            MOVI   flag,-1         ;flag < 0 tells script that train finished
            HALT   
;stop sequence immediately
        'c  WAVEST S
            DIGOUT [00000000]      ;initial digital outputs to 0
            DAC    0,0             ;set dac to 0volts
            DAC    1,0
            HALT